org.jboss.resteasy.client.cache

## Class CacheInterceptor

- java.lang.Object
- - org.jboss.resteasy.client.cache.CacheInterceptor

- All Implemented Interfaces:
    AcceptedByMethod, ClientExecutionInterceptor

  Deprecated.

      @Deprecated
      public class CacheInterceptor
      extends Object
      implements ClientExecutionInterceptor, AcceptedByMethod

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BrowserCache` | `cache` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheInterceptor(BrowserCache cache)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Class declaring, Method method)` Deprecated.
    `ClientResponse` | `cacheIfPossible(ClientRequest request, BaseClientResponse response)` Deprecated.
    `ClientResponse` | `execute(ClientExecutionContext ctx)` Deprecated.
    `protected BrowserCache.Entry` | `getEntry(ClientRequest request)` Deprecated.
    `protected ClientResponse` | `handleExpired(ClientExecutionContext ctx, ClientRequest request, BrowserCache.Entry entry)` Deprecated.
    `ClientResponse` | `updateOnNotModified(ClientRequest request, BrowserCache.Entry old, BaseClientResponse response)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cache

          protected BrowserCache cache

      Deprecated.

  - ### Constructor Detail

    - #### CacheInterceptor

          public CacheInterceptor(BrowserCache cache)

      Deprecated.

  - ### Method Detail

    - #### accept

          public boolean accept(Class declaring,
                       Method method)

      Deprecated.
      Specified by:
        `accept` in interface `AcceptedByMethod`

    - #### execute

          public ClientResponse execute(ClientExecutionContext ctx)
                                 throws Exception

      Deprecated.
      Specified by:
        `execute` in interface `ClientExecutionInterceptor`
      Throws:
        `Exception`

    - #### handleExpired

          protected ClientResponse handleExpired(ClientExecutionContext ctx,
                                     ClientRequest request,
                                     BrowserCache.Entry entry)
                                          throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### updateOnNotModified

          public ClientResponse updateOnNotModified(ClientRequest request,
                                           BrowserCache.Entry old,
                                           BaseClientResponse response)
                                             throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### cacheIfPossible

          public ClientResponse cacheIfPossible(ClientRequest request,
                                       BaseClientResponse response)
                                         throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### getEntry

          protected BrowserCache.Entry getEntry(ClientRequest request)
                                         throws Exception

      Deprecated.
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.